Page MenuHomePhabricator

WMF Campaign page whitescreens if metadata is missing
Closed, ResolvedPublic1 Story Points

Description

The /admin/config/wmf_campaigns/list page will crash if campaign options have been added through the Civi native interface. Be nicer.

Event Timeline

awight created this task.Oct 23 2015, 7:29 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 7:29 PM

Change 248414 had a related patch set uploaded (by Awight):
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/248414

awight claimed this task.Oct 25 2015, 8:58 AM
awight set Security to None.
awight edited a custom field.
awight added a subscriber: Eileenmcnaughton.

Change 248414 merged by Ejegg:
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/248414

Change 249637 had a related patch set uploaded (by Eileen):
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/249637

Change 249637 abandoned by Eileen:
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/249637

Needs merge to civi-4.6.9-deployment

Change 249946 had a related patch set uploaded (by Ejegg):
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/249946

Change 249946 merged by Ejegg:
Fail gracefully if campaigns were added using the native Civi interface

https://gerrit.wikimedia.org/r/249946

awight closed this task as Resolved.Oct 30 2015, 4:05 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 12:14 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:36 PM